Bug 146187 - [RHEL4RC1] chicony usb keyboard fails, with side effects
[RHEL4RC1] chicony usb keyboard fails, with side effects
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-01-25 15:27 EST by Stuart Hayes
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add keyboard to blacklist with "noget" quirk (1010 bytes, patch)
2005-01-25 15:28 EST, Stuart Hayes
no flags Details | Diff

  None (edit)
Description Stuart Hayes 2005-01-25 15:27:42 EST
Description of problem:

We have a Dell Chicony USB keyboard (model KU-9985) which fails to 
work when plugged in.  There are ugly messages in /var/log/messages, 
and "lsusb" will hang.

It turns out that this keyboard says that it has both a keyboard and 
a mouse, though there really is no mouse at all (no PS/2 port, no 
mouse).  When Linux issues a "get_report" for the mouse reports, the 
keyboard stalls, and things go downhill.

This keyboard works fine if we add it to the blacklist with 
the "NOGET" quirk.

Version-Release number of selected component (if applicable):


How reproducible:
Very easy.

Steps to Reproduce:
1. Boot up system.
2. Plug in KU-9985 Chicony usb hub keyboard.
3. 
  
Actual results:
Keyboard doesn't work, there are ugly messages, and "lsusb" will hang.

Expected results:
Keyboard should work, lsusb should work normally.

Additional info:
I will attach the patch.
Comment 1 Stuart Hayes 2005-01-25 15:28:21 EST
Created attachment 110214 [details]
patch to add keyboard to blacklist with "noget" quirk
Comment 2 Pete Zaitcev 2005-03-15 20:08:53 EST
Vojtech accepted this but did not notify me. I'm going to post
this to review in a few hours. U2?
Comment 3 Stuart Hayes 2005-03-16 10:07:57 EST
U2 is fine.  Thanks!
Comment 5 Pete Zaitcev 2005-07-15 21:58:42 EDT
Modified in 2.6.9-11.30.EL (actually before that, but I have verified
it on this version).
Comment 12 Red Hat Bugzilla 2005-10-05 08:43:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.